Package org.apache.sysds.runtime.compress.colgroup.scheme

## Class SchemeFactory

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.scheme.SchemeFactory

    public class SchemeFactory
    extends Object

### Constructor Summary

Constructors
`SchemeFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ICLAScheme` `create​(IColIndex columns, AColGroup.CompressionType type)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SchemeFactory

    public SchemeFactory()

### Method Detail

#### create

    public static ICLAScheme create​(IColIndex columns,
                                    AColGroup.CompressionType type)